{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.database.SSLModeEnum":{"type":"string","description":"SSL mode of the connection pool of the managed database and analytics service","enum":["REQUIRE"]},"publicCloud.database.postgresql.ConnectionPool":{"type":"object","description":"A PgBouncer connection pool on a managed PostgreSQL service","properties":{"checksum":{"type":"string","description":"Hash of the resource used for concurrency control","readOnly":true},"createdAt":{"type":"string","description":"Date at which the resource was created","format":"date-time","readOnly":true},"databaseId":{"type":"string","description":"Identifier of the target database schema","format":"uuid","readOnly":true},"id":{"type":"string","description":"Unique identifier of the connection pool","format":"uuid","readOnly":true},"mode":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPoolModeEnum"}],"description":"PgBouncer pooling mode","readOnly":true},"name":{"type":"string","description":"Name of the connection pool","readOnly":true},"port":{"type":"integer","description":"TCP port on which the connection pool listens","readOnly":true},"size":{"type":"integer","description":"Maximum number of server connections in the pool","readOnly":true},"sslMode":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.SSLModeEnum"}],"description":"SSL connection mode for the pool","nullable":true,"readOnly":true},"updatedAt":{"type":"string","description":"Date of the last update to the resource","format":"date-time","readOnly":true},"uri":{"type":"string","description":"Connection URI to the pool","readOnly":true},"userId":{"type":"string","description":"Unique identifier of the database user used to establish server connections. Null when no user is assigned.","nullable":true,"format":"uuid","readOnly":true}}},"publicCloud.database.postgresql.ConnectionPoolCreation":{"type":"object","description":"Input parameters for creating a PgBouncer connection pool on a managed PostgreSQL service","properties":{"databaseId":{"type":"string","description":"Identifier of the target database schema","format":"uuid"},"mode":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPoolModeEnum"}],"description":"PgBouncer pooling mode"},"name":{"type":"string","description":"Name of the connection pool"},"size":{"type":"integer","description":"Maximum number of server connections in the pool"},"userId":{"type":"string","description":"Unique identifier of the database user for server connections. Null to use a system user.","nullable":true,"format":"uuid"}},"required":["databaseId","mode","name","size"]},"publicCloud.database.postgresql.ConnectionPoolModeEnum":{"type":"string","description":"PgBouncer pooling mode of a PostgreSQL connection pool","enum":["SESSION","STATEMENT","TRANSACTION"]},"publicCloud.database.postgresql.ConnectionPoolReplace":{"type":"object","description":"Input parameters for replacing a PgBouncer connection pool on a managed PostgreSQL service. Every field is required: the request describes the whole pool.","properties":{"databaseId":{"type":"string","description":"Identifier of the target database schema","format":"uuid"},"mode":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPoolModeEnum"}],"description":"PgBouncer pooling mode"},"size":{"type":"integer","description":"Maximum number of server connections in the pool"},"userId":{"type":"string","description":"Unique identifier of the database user for server connections. Null to remove the user assignment.","nullable":true,"format":"uuid"}},"required":["databaseId","mode","size","userId"]},"publicCloud.database.postgresql.ConnectionPoolUpdate":{"type":"object","description":"Input parameters for updating a PgBouncer connection pool on a managed PostgreSQL service","properties":{"databaseId":{"type":"string","description":"Identifier of the target database schema","nullable":true,"format":"uuid"},"mode":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPoolModeEnum"}],"description":"PgBouncer pooling mode","nullable":true},"size":{"type":"integer","description":"Maximum number of server connections in the pool","nullable":true},"userId":{"type":"string","description":"Unique identifier of the database user for server connections. Null to remove the user assignment.","nullable":true,"format":"uuid"}}},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool":{"get":{"operationId":"getAllPostgresqlConnectionPools","summary":"List connection pools","description":"Returns the connection pools of the service.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPool"}}}}}},"tags":["Managed Databases","PostgreSQL"],"x-developer-hub-navigation":[["Public Cloud","Databases","PostgreSQL","Pools@@@10"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/postgresql/connectionPool/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudDatabasePostgresqlConnectionPool"},"post":{"operationId":"createPostgresqlConnectionPool","summary":"Create a connection pool","description":"Creates a connection pool on a database, with a pooling mode and a maximum number of server connections. Without userId, a system user opens the server connections.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPoolCreation"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPool"}}}}},"tags":["Managed Databases","PostgreSQL"],"x-developer-hub-navigation":[["Public Cloud","Databases","PostgreSQL","Pools@@@30"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.postgresql.ConnectionPoolCreation\nresult = client.post(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool\",\n\tdatabaseId = None, # Identifier of the target database schema (type: string)\n\tmode = None, # PgBouncer pooling mode (type: publicCloud.database.postgresql.ConnectionPoolModeEnum)\n\tname = None, # Name of the connection pool (type: string)\n\tsize = None, # Maximum number of server connections in the pool (type: integer)\n\tuserId = None, # Unique identifier of the database user for server connections. Null to use a system user. (type: string, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.postgresql.ConnectionPoolCreation\n$result = $ovh->post(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool\", array(\n\tdatabaseId => null, // Identifier of the target database schema (type: string)\n\tmode => null, // PgBouncer pooling mode (type: publicCloud.database.postgresql.ConnectionPoolModeEnum)\n\tname => null, // Name of the connection pool (type: string)\n\tsize => null, // Maximum number of server connections in the pool (type: integer)\n\tuserId => null, // Unique identifier of the database user for server connections. Null to use a system user. (type: string, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/postgresql/connectionPool/create","required":true}]}},"/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}":{"delete":{"operationId":"deletePostgresqlConnectionPool","summary":"Delete a connection pool","description":"Deletes the connection pool.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"connectionPoolId","description":"Connection pool ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPool"}}}}},"tags":["Managed Databases","PostgreSQL"],"x-developer-hub-navigation":[["Public Cloud","Databases","PostgreSQL","Pools@@@40"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/postgresql/connectionPool/delete","required":true}]},"get":{"operationId":"getPostgresqlConnectionPool","summary":"Get a connection pool","description":"Returns the connection pool settings and its connection URI.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"connectionPoolId","description":"Connection pool ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPool"}}}}},"tags":["Managed Databases","PostgreSQL"],"x-developer-hub-navigation":[["Public Cloud","Databases","PostgreSQL","Pools@@@20"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/postgresql/connectionPool/get","required":true}],"x-response-identifier":"id"},"patch":{"operationId":"updatePostgresqlConnectionPool","summary":"Partially update a connection pool","description":"Partially updates the database, pooling mode, size or user of the connection pool. Setting userId to null removes the user assignment.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"connectionPoolId","description":"Connection pool ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPoolUpdate"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPool"}}}}},"tags":["Managed Databases","PostgreSQL"],"x-developer-hub-navigation":[["Public Cloud","Databases","PostgreSQL","Pools@@@60"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.postgresql.ConnectionPoolUpdate\nresult = client.patch(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}\",\n\tdatabaseId = None, # Identifier of the target database schema (type: string, nullable)\n\tmode = None, # PgBouncer pooling mode (type: publicCloud.database.postgresql.ConnectionPoolModeEnum, nullable)\n\tsize = None, # Maximum number of server connections in the pool (type: integer, nullable)\n\tuserId = None, # Unique identifier of the database user for server connections. Null to remove the user assignment. (type: string, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.postgresql.ConnectionPoolUpdate\n$result = $ovh->patch(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}\", array(\n\tdatabaseId => null, // Identifier of the target database schema (type: string, nullable)\n\tmode => null, // PgBouncer pooling mode (type: publicCloud.database.postgresql.ConnectionPoolModeEnum, nullable)\n\tsize => null, // Maximum number of server connections in the pool (type: integer, nullable)\n\tuserId => null, // Unique identifier of the database user for server connections. Null to remove the user assignment. (type: string, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/postgresql/connectionPool/edit","required":true}]},"put":{"operationId":"editPostgresqlConnectionPool","summary":"Update a connection pool","description":"Updates the database, pooling mode, size and user of the connection pool. Every field is required. Setting userId to null removes the user assignment.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"connectionPoolId","description":"Connection pool ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPoolReplace"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.postgresql.ConnectionPool"}}}}},"tags":["Managed Databases","PostgreSQL"],"x-developer-hub-navigation":[["Public Cloud","Databases","PostgreSQL","Pools@@@50"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.postgresql.ConnectionPoolReplace\nresult = client.put(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}\",\n\tdatabaseId = None, # Identifier of the target database schema (type: string)\n\tmode = None, # PgBouncer pooling mode (type: publicCloud.database.postgresql.ConnectionPoolModeEnum)\n\tsize = None, # Maximum number of server connections in the pool (type: integer)\n\tuserId = None, # Unique identifier of the database user for server connections. Null to remove the user assignment. (type: string, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.postgresql.ConnectionPoolReplace\n$result = $ovh->put(\"/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/connectionPool/{connectionPoolId}\", array(\n\tdatabaseId => null, // Identifier of the target database schema (type: string)\n\tmode => null, // PgBouncer pooling mode (type: publicCloud.database.postgresql.ConnectionPoolModeEnum)\n\tsize => null, // Maximum number of server connections in the pool (type: integer)\n\tuserId => null, // Unique identifier of the database user for server connections. Null to remove the user assignment. (type: string, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/postgresql/connectionPool/edit","required":true}]}}},"tags":[{"name":"Managed Databases","x-tag-expanded":false,"description":"Missing description"},{"name":"PostgreSQL","x-tag-expanded":false,"description":"Missing description"}]}
